> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/bmc/load-balancing/describebackends.md).

# DescribeBackends

## 1. 接口描述

本接口(DescribeBackends)用于查询一台或多台指定后端配置服务器的信息。用户可以根据监听器的ID、后端配置服务器的ID等信息来搜索后端配置服务器的信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称         | 必选 | 类型                                                                                | 描述                         |
| ------------ | -- | --------------------------------------------------------------------------------- | -------------------------- |
| listenerId   | 是  | String                                                                            | 监听器的ID。                    |
| backendIds   | 否  | Array of String                                                                   | 后端配置服务器的ID集合。              |
| backendName  | 否  | String                                                                            | 后端配置服务器的名称。                |
| instanceType | 否  | [InstanceProductType](/api-reference/cn/bmc/datastructure.md#instanceproducttype) | 实例类型。默认为`BM`               |
| pageNum      | 否  | Integer                                                                           | <p>返回的分页数。</p><p>默认值：1</p> |
| pageSize     | 否  | Integer                                                                           | 返回的分页大小。默认为20，最大为1000。     |

## 3. 响应结果

| 参数名称       | 类型                                                                         | 描述                                                       |
| ---------- | -------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                     | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                    | 符合条件的后端配置服务器总数量。                                         |
| dataSet    | Array of [BackendInfo](/api-reference/cn/bmc/datastructure.md#backendinfo) | 后端配置服务器集合。                                               |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}

1. **根据监听器的ID获取下面所有后端配置服务器列表。**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBackends
Request:
{
  "listenerId": "xxxx"
}
Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "listenerId": "xxx",
        "backendId": "xxx",
        "backendName": "xxxx",
        "status": "Available",
        "port": "80",
        "weight": 100,
        "instanceId": "xxxx",
        "instanceName": "xxxx",
        "createTime": "2022-08-31 11:13:17"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
